## raspberrypi-firmware 1.20230509~buster

=== Makefile ===
# SPDX-License-Identifier: GPL-2.0
VERSION = 5
PATCHLEVEL = 10
SUBLEVEL = 103
EXTRAVERSION =
NAME = Dare mighty things

# *DOCUMENTATION*
# To see a list of typical targets execute "make help"
# More info can be located in ./README
# Comments in this file are targeted only to the developer, do not
# expect to learn how to build the kernel reading this file.

$(if $(filter __%, $(MAKECMDGOALS)), \
	$(error targets prefixed with '__' are only for internal use))

# That's our default target when none is given on the command line
PHONY := __all
__all:

# We are using a recursive build, so we need to do a little thinking
# to get the ordering right.
#
# Most importantly: sub-Makefiles should only ever modify files in
# their own directory. If in some directory we have a dependency on
# a file in another dir (which doesn't happen often, but it's often
# unavoidable when linking the built-in.a targets which finally
# turn into vmlinux), we will call a sub make in that other dir, and
# after that we are sure that everything which is in that other dir
# is now up to date.
#
# The only cases where we need to modify files which have global
# effects are thus separated out and done before the recursive
# descending is started. They are now explicitly listed as the
# prepare rule.

ifneq ($(sub_make_done),1)

# Do not use make's built-in rules and variables
# (this increases performance and avoids hard-to-debug behaviour)
MAKEFLAGS += -rR

# Avoid funny character set dependencies
unexport LC_ALL
LC_COLLATE=C
LC_NUMERIC=C
export LC_COLLATE LC_NUMERIC

# Avoid interference with shell env settings
unexport GREP_OPTIONS

# Beautify output
# ---------------------------------------------------------------------------
#
# Normally, we echo the whole command before executing it. By making
# that echo $($(quiet)$(cmd)), we now have the possibility to set
# $(quiet) to choose other forms of output instead, e.g.
#
#         quiet_cmd_cc_o_c = Compiling $(RELDIR)/$@
#         cmd_cc_o_c       = $(CC) $(c_flags) -c -o $@ $<
#
# If $(quiet) is empty, the whole command will be printed.
# If it is set to "quiet_", only the short version will be printed.
# If it is set to "silent_", nothing will be printed at all, since
# the variable $(silent_cmd_cc_o_c) doesn't exist.
#
# A simple variant is to prefix commands with $(Q) - that's useful
# for commands that shall be hidden in non-verbose mode.
#
#	$(Q)ln $@ :<
#
# If KBUILD_VERBOSE equals 0 then the above command will be hidden.
# If KBUILD_VERBOSE equals 1 then the above command is displayed.
# If KBUILD_VERBOSE equals 2 then give the reason why each target is rebuilt.
#
# To put more focus on warnings, be less verbose as default
# Use 'make V=1' to see the full commands

ifeq ("$(origin V)", "command line")
  KBUILD_VERBOSE = $(V)
endif
ifndef KBUILD_VERBOSE
  KBUILD_VERBOSE = 0
endif

ifeq ($(KBUILD_VERBOSE),1)
  quiet =
  Q =
else
  quiet=quiet_
  Q = @
endif

# If the user is running make -s (silent mode), suppress echoing of
# commands

ifneq ($(findstring s,$(filter-out --%,$(MAKEFLAGS))),)
  quiet=silent_
endif

export quiet Q KBUILD_VERBOSE

# Kbuild will save output files in the current working directory.
# This does not need to match to the root of the kernel source tree.
#
# For example, you can do this:
#
#  cd /dir/to/store/output/files; make -f /dir/to/kernel/source/Makefile
#
# If you want to save output files in a different location, there are
# two syntaxes to specify it.
#
# 1) O=
# Use "make O=dir/to/store/output/files/"
#
# 2) Set KBUILD_OUTPUT
# Set the environment variable KBUILD_OUTPUT to point to the output directory.
# export KBUILD_OUTPUT=dir/to/store/output/files/; make
#
# The O= assignment takes precedence over the KBUILD_OUTPUT environment
# variable.

# Do we want to change the working directory?
ifeq ("$(origin O)", "command line")
  KBUILD_OUTPUT := $(O)
endif

ifneq ($(KBUILD_OUTPUT),)
# Make's built-in functions such as $(abspath ...), $(realpath ...) cannot
# expand a shell special character '~'. We use a somewhat tedious way here.
abs_objtree := $(shell mkdir -p $(KBUILD_OUTPUT) && cd $(KBUILD_OUTPUT) && pwd)
$(if $(abs_objtree),, \
     $(error failed to create output directory "$(KBUILD_OUTPUT)"))

# $(realpath ...) resolves symlinks
abs_objtree := $(realpath $(abs_objtree))
else
abs_objtree := $(CURDIR)
endif # ifneq ($(KBUILD_OUTPUT),)

ifeq ($(abs_objtree),$(CURDIR))
# Suppress "Entering directory ..." unless we are changing the work directory.
MAKEFLAGS += --no-print-directory
else
need-sub-make := 1
endif

abs_srctree := $(realpath $(dir $(lastword $(MAKEFILE_LIST))))

ifneq ($(words $(subst :, ,$(abs_srctree))), 1)
$(error source directory cannot contain spaces or colons)
endif

ifneq ($(abs_srctree),$(abs_objtree))
# Look for make include files relative to root of kernel src
#
# This does not become effective immediately because MAKEFLAGS is re-parsed
# once after the Makefile is read. We need to invoke sub-make.
MAKEFLAGS += --include-dir=$(abs_srctree)
need-sub-make := 1
endif

this-makefile := $(lastword $(MAKEFILE_LIST))

ifneq ($(filter 3.%,$(MAKE_VERSION)),)
# 'MAKEFLAGS += -rR' does not immediately become effective for GNU Make 3.x
# We need to invoke sub-make to avoid implicit rules in the top Makefile.
need-sub-make := 1
# Cancel implicit rules for this Makefile.
$(this-makefile): ;
endif

export abs_srctree abs_objtree
export sub_make_done := 1

ifeq ($(need-sub-make),1)

PHONY += $(MAKECMDGOALS) __sub-make

$(filter-out $(this-makefile), $(MAKECMDGOALS)) __all: __sub-make
	@:

# Invoke a second make in the output directory, passing relevant variables
__sub-make:
	$(Q)$(MAKE) -C $(abs_objtree) -f $(abs_srctree)/Makefile $(MAKECMDGOALS)

endif # need-sub-make
endif # sub_make_done

# We process the rest of the Makefile if this is the final invocation of make
ifeq ($(need-sub-make),)

# Do not print "Entering directory ...",
# but we want to display it when entering to the output directory
# so that IDEs/editors are able to understand relative filenames.
MAKEFLAGS += --no-print-directory

# Call a source code checker (by default, "sparse") as part of the
# C compilation.
#
# Use 'make C=1' to enable checking of only re-compiled files.
# Use 'make C=2' to enable checking of *all* source files, regardless
# of whether they are re-compiled or not.
#
# See the file "Documentation/dev-tools/sparse.rst" for more details,
# including where to get the "sparse" utility.

ifeq ("$(origin C)", "command line")
  KBUILD_CHECKSRC = $(C)
endif
ifndef KBUILD_CHECKSRC
  KBUILD_CHECKSRC = 0
endif

# Use make M=dir or set the environment variable KBUILD_EXTMOD to specify the
# directory of external module to build. Setting M= takes precedence.
ifeq ("$(origin M)", "command line")
  KBUILD_EXTMOD := $(M)
endif

$(if $(word 2, $(KBUILD_EXTMOD)), \
	$(error building multiple external modules is not supported))

export KBUILD_CHECKSRC KBUILD_EXTMOD

extmod-prefix = $(if $(KBUILD_EXTMOD),$(KBUILD_EXTMOD)/)

ifeq ($(abs_srctree),$(abs_objtree))
        # building in the source tree
        srctree := .
	building_out_of_srctree :=
else
        ifeq ($(abs_srctree)/,$(dir $(abs_objtree)))
                # building in a subdirectory of the source tree
                srctree := ..
        else
                srctree := $(abs_srctree)
        endif
	building_out_of_srctree := 1
endif

ifneq ($(KBUILD_ABS_SRCTREE),)
srctree := $(abs_srctree)
endif

objtree		:= .
VPATH		:= $(srctree)

export building_out_of_srctree srctree objtree VPATH

# To make sure we do not include .config for any of the *config targets
# catch them early, and hand them over to scripts/kconfig/Makefile
# It is allowed to specify more targets when calling make, including
# mixing *config targets and build targets.
# For example 'make oldconfig all'.
# Detect when mixed targets is specified, and make a second invocation
# of make so .config is not included in this case either (for *config).

version_h := include/generated/uapi/linux/version.h
old_version_h := include/linux/version.h

clean-targets := %clean mrproper cleandocs
no-dot-config-targets := $(clean-targets) \
			 cscope gtags TAGS tags help% %docs check% coccicheck \
			 $(version_h) headers headers_% archheaders archscripts \
			 %asm-generic kernelversion %src-pkg dt_binding_check \
			 outputmakefile
no-sync-config-targets := $(no-dot-config-targets) %install kernelrelease \
			  image_name
single-targets := %.a %.i %.ko %.lds %.ll %.lst %.mod %.o %.s %.symtypes %/

config-build	:=
mixed-build	:=
need-config	:= 1
may-sync-config	:= 1
single-build	:=

ifneq ($(filter $(no-dot-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-dot-config-targets), $(MAKECMDGOALS)),)
		need-config :=
	endif
endif

ifneq ($(filter $(no-sync-config-targets), $(MAKECMDGOALS)),)
	ifeq ($(filter-out $(no-sync-config-targets), $(MAKECMDGOALS)),)
		may-sync-config :=
	endif
endif

ifneq ($(KBUILD_EXTMOD),)
	may-sync-config :=
endif

ifeq ($(KBUILD_EXTMOD),)
        ifneq ($(filter %config,$(MAKECMDGOALS)),)
		config-build := 1
                ifneq ($(words $(MAKECMDGOALS)),1)
			mixed-build := 1
                endif
        endif
endif

# We cannot build single targets and the others at the same time
ifneq ($(filter $(single-targets), $(MAKECMDGOALS)),)
	single-build := 1
	ifneq ($(filter-out $(single-targets), $(MAKECMDGOALS)),)
		mixed-build := 1
	endif
endif

# For "make -j clean all", "make -j mrproper defconfig all", etc.
ifneq ($(filter $(clean-targets),$(MAKECMDGOALS)),)
        ifneq ($(filter-out $(clean-targets),$(MAKECMDGOALS)),)
		mixed-build := 1
        endif
endif

# install and modules_install need also be processed one by one
ifneq ($(filter install,$(MAKECMDGOALS)),)
        ifneq ($(filter modules_install,$(MAKECMDGOALS)),)
		mixed-build := 1
        endif
endif

ifdef mixed-build
# ===========================================================================
# We're called with mixed targets (*config and build targets).
# Handle them one by one.

PHONY += $(MAKECMDGOALS) __build_one_by_one

$(MAKECMDGOALS): __build_one_by_one
	@:

__build_one_by_one:
	$(Q)set -e; \
	for i in $(MAKECMDGOALS); do \
		$(MAKE) -f $(srctree)/Makefile $$i; \
	done

else # !mixed-build

include scripts/Kbuild.include

# Read KERNELRELEASE from include/config/kernel.release (if it exists)
KERNELRELEASE = $(shell cat include/config/kernel.release 2> /dev/null)
KERNELVERSION = $(VERSION)$(if $(PATCHLEVEL),.$(PATCHLEVEL)$(if $(SUBLEVEL),.$(SUBLEVEL)))$(EXTRAVERSION)
export VERSION PATCHLEVEL SUBLEVEL KERNELRELEASE KERNELVERSION

include scripts/subarch.include

# Cross compiling and selecting different set of gcc/bin-utils
# ---------------------------------------------------------------------------
#
# When performing cross compilation for other architectures ARCH shall be set
# to the target architecture. (See arch/* for the possibilities).
# ARCH can be set during invocation of make:
# make ARCH=ia64
# Another way is to have ARCH set in the environment.
# The default ARCH is the host where make is executed.

# CROSS_COMPILE specify the prefix used for all executables used
# during compilation. Only gcc and related bin-utils executables
# are prefixed with $(CROSS_COMPILE).
# CROSS_COMPILE can be set on the command line
# make CROSS_COMPILE=ia64-linux-
# Alternatively CROSS_COMPILE can be set in the environment.
# Default value for CROSS_COMPILE is not to prefix executables
# Note: Some architectures assign CROSS_COMPILE in their arch/*/Makefile
ARCH		?= $(SUBARCH)

# Architecture as present in compile.h
UTS_MACHINE 	:= $(ARCH)
SRCARCH 	:= $(ARCH)

# Additional ARCH settings for x86
ifeq ($(ARCH),i386)
        SRCARCH := x86
endif
ifeq ($(ARCH),x86_64)
        SRCARCH := x86
endif

# Additional ARCH settings for sparc
ifeq ($(ARCH),sparc32)
       SRCARCH := sparc
endif
ifeq ($(ARCH),sparc64)
       SRCARCH := sparc
endif

# Additional ARCH settings for sh
ifeq ($(ARCH),sh64)
       SRCARCH := sh
endif

=== arch/arm/boot/dts/Makefile ===
# SPDX-License-Identifier: GPL-2.0

dtb-$(CONFIG_ARCH_BCM2835) += \
	bcm2708-rpi-b.dtb \
	bcm2708-rpi-b-rev1.dtb \
	bcm2708-rpi-b-plus.dtb \
	bcm2708-rpi-cm.dtb \
	bcm2708-rpi-zero.dtb \
	bcm2708-rpi-zero-w.dtb \
	bcm2710-rpi-zero-2.dtb \
	bcm2710-rpi-zero-2-w.dtb \
	bcm2709-rpi-2-b.dtb \
	bcm2710-rpi-2-b.dtb \
	bcm2710-rpi-3-b.dtb \
	bcm2710-rpi-3-b-plus.dtb \
	bcm2711-rpi-4-b.dtb \
	bcm2711-rpi-400.dtb \
	bcm2710-rpi-cm3.dtb \
	bcm2711-rpi-cm4.dtb

dtb-$(CONFIG_ARCH_ALPINE) += \
	alpine-db.dtb
dtb-$(CONFIG_MACH_ARTPEC6) += \
	artpec6-devboard.dtb
dtb-$(CONFIG_MACH_ASM9260) += \
	alphascale-asm9260-devkit.dtb
# Keep at91 dtb files sorted alphabetically for each SoC
dtb-$(CONFIG_SOC_AT91RM9200) += \
	at91rm9200ek.dtb \
	mpa1600.dtb
dtb-$(CONFIG_SOC_AT91SAM9) += \
	animeo_ip.dtb \
	at91-qil_a9260.dtb \
	aks-cdu.dtb \
	ethernut5.dtb \
	evk-pro3.dtb \
	tny_a9260.dtb \
	usb_a9260.dtb \
	at91sam9260ek.dtb \
	at91sam9261ek.dtb \
	at91sam9263ek.dtb \
	at91-sam9_l9260.dtb \
	tny_a9263.dtb \
	usb_a9263.dtb \
	at91-foxg20.dtb \
	at91-kizbox.dtb \
	at91sam9g20ek.dtb \
	at91sam9g20ek_2mmc.dtb \
	tny_a9g20.dtb \
	usb_a9g20.dtb \
	usb_a9g20_lpw.dtb \
	at91sam9m10g45ek.dtb \
	pm9g45.dtb \
	at91sam9n12ek.dtb \
	at91sam9rlek.dtb \
	at91-ariag25.dtb \
	at91-ariettag25.dtb \
	at91-cosino_mega2560.dtb \
	at91-kizboxmini-base.dtb \
	at91-kizboxmini-mb.dtb \
	at91-kizboxmini-rd.dtb \
	at91-smartkiz.dtb \
	at91-wb45n.dtb \
	at91sam9g15ek.dtb \
	at91sam9g25-gardena-smart-gateway.dtb \
	at91sam9g25ek.dtb \
	at91sam9g35ek.dtb \
	at91sam9x25ek.dtb \
	at91sam9x35ek.dtb
dtb-$(CONFIG_SOC_SAM9X60) += \
	at91-sam9x60ek.dtb
dtb-$(CONFIG_SOC_SAM_V7) += \
	at91-kizbox2-2.dtb \
	at91-kizbox3-hs.dtb \
	at91-nattis-2-natte-2.dtb \
	at91-sama5d27_som1_ek.dtb \
	at91-sama5d27_wlsom1_ek.dtb \
	at91-sama5d2_icp.dtb \
	at91-sama5d2_ptc_ek.dtb \
	at91-sama5d2_xplained.dtb \
	at91-sama5d3_xplained.dtb \
	at91-dvk_som60.dtb \
	at91-gatwick.dtb \
	at91-tse850-3.dtb \
	at91-wb50n.dtb \
	sama5d31ek.dtb \
	sama5d33ek.dtb \
	sama5d34ek.dtb \
	sama5d35ek.dtb \
	sama5d36ek.dtb \
	sama5d36ek_cmp.dtb \
	at91-sama5d4_ma5d4evk.dtb \
	at91-sama5d4_xplained.dtb \
	at91-sama5d4ek.dtb \
	at91-vinco.dtb
dtb-$(CONFIG_ARCH_ATLAS6) += \
	atlas6-evb.dtb
dtb-$(CONFIG_ARCH_ATLAS7) += \
	atlas7-evb.dtb
dtb-$(CONFIG_ARCH_AXXIA) += \
	axm5516-amarillo.dtb
dtb-$(CONFIG_ARCH_BCM2835) += \
	bcm2835-rpi-b.dtb \
	bcm2835-rpi-a.dtb \
	bcm2835-rpi-b-rev2.dtb \
	bcm2835-rpi-b-plus.dtb \
	bcm2835-rpi-a-plus.dtb \
	bcm2835-rpi-cm1-io1.dtb \
	bcm2836-rpi-2-b.dtb \
	bcm2837-rpi-3-a-plus.dtb \
	bcm2837-rpi-3-b.dtb \
	bcm2837-rpi-3-b-plus.dtb \
	bcm2837-rpi-cm3-io3.dtb \
	bcm2835-rpi-zero.dtb \
	bcm2835-rpi-zero-w.dtb
dtb-$(CONFIG_ARCH_BCM_5301X) += \
	bcm4708-asus-rt-ac56u.dtb \
	bcm4708-asus-rt-ac68u.dtb \
	bcm4708-buffalo-wzr-1750dhp.dtb \
	bcm4708-linksys-ea6300-v1.dtb \
	bcm4708-linksys-ea6500-v2.dtb \
	bcm4708-luxul-xap-1510.dtb \
	bcm4708-luxul-xwc-1000.dtb \
	bcm4708-netgear-r6250.dtb \
	bcm4708-netgear-r6300-v2.dtb \
	bcm4708-smartrg-sr400ac.dtb \
	bcm47081-asus-rt-n18u.dtb \
	bcm47081-buffalo-wzr-600dhp2.dtb \
	bcm47081-buffalo-wzr-900dhp.dtb \
	bcm47081-luxul-xap-1410.dtb \
	bcm47081-luxul-xwr-1200.dtb \
	bcm47081-tplink-archer-c5-v2.dtb \
	bcm4709-asus-rt-ac87u.dtb \
	bcm4709-buffalo-wxr-1900dhp.dtb \
	bcm4709-linksys-ea9200.dtb \
	bcm4709-netgear-r7000.dtb \
	bcm4709-netgear-r8000.dtb \
	bcm4709-tplink-archer-c9-v1.dtb \
	bcm47094-dlink-dir-885l.dtb \
	bcm47094-linksys-panamera.dtb \
	bcm47094-luxul-abr-4500.dtb \
	bcm47094-luxul-xap-1610.dtb \
	bcm47094-luxul-xbr-4500.dtb \
	bcm47094-luxul-xwc-2000.dtb \
	bcm47094-luxul-xwr-3100.dtb \
	bcm47094-luxul-xwr-3150-v1.dtb \
	bcm47094-netgear-r8500.dtb \
	bcm47094-phicomm-k3.dtb \
	bcm53016-meraki-mr32.dtb \
	bcm94708.dtb \
	bcm94709.dtb \
	bcm953012er.dtb \
	bcm953012hr.dtb \
	bcm953012k.dtb
dtb-$(CONFIG_ARCH_BCM_53573) += \
	bcm47189-luxul-xap-1440.dtb \
	bcm47189-luxul-xap-810.dtb \
	bcm47189-tenda-ac9.dtb \
	bcm947189acdbmr.dtb
dtb-$(CONFIG_ARCH_BCM_63XX) += \
	bcm963138dvt.dtb
dtb-$(CONFIG_ARCH_BCM_CYGNUS) += \
	bcm911360_entphn.dtb \
	bcm911360k.dtb \
	bcm958300k.dtb \
	bcm958305k.dtb
dtb-$(CONFIG_ARCH_BCM_HR2) += \
	bcm53340-ubnt-unifi-switch8.dtb
dtb-$(CONFIG_ARCH_BCM_MOBILE) += \
	bcm28155-ap.dtb \
	bcm21664-garnet.dtb \
	bcm23550-sparrow.dtb
dtb-$(CONFIG_ARCH_BCM_NSP) += \
	bcm958522er.dtb \
	bcm958525er.dtb \
	bcm958525xmc.dtb \
	bcm958622hr.dtb \
	bcm958623hr.dtb \
	bcm958625hr.dtb \
	bcm988312hr.dtb \
	bcm958625k.dtb
dtb-$(CONFIG_ARCH_BERLIN) += \
	berlin2-sony-nsz-gs7.dtb \
	berlin2cd-google-chromecast.dtb \
	berlin2cd-valve-steamlink.dtb \
	berlin2q-marvell-dmp.dtb
dtb-$(CONFIG_ARCH_BRCMSTB) += \
	bcm7445-bcm97445svmb.dtb
dtb-$(CONFIG_ARCH_CLPS711X) += \
	ep7211-edb7211.dtb
dtb-$(CONFIG_ARCH_DAVINCI) += \
	da850-lcdk.dtb \
	da850-enbw-cmc.dtb \
	da850-evm.dtb \
	da850-lego-ev3.dtb
dtb-$(CONFIG_ARCH_DIGICOLOR) += \
	cx92755_equinox.dtb
dtb-$(CONFIG_ARCH_EFM32) += \
	efm32gg-dk3750.dtb
dtb-$(CONFIG_ARCH_EXYNOS3) += \
	exynos3250-artik5-eval.dtb \
	exynos3250-monk.dtb \
	exynos3250-rinato.dtb
dtb-$(CONFIG_ARCH_EXYNOS4) += \
	exynos4210-i9100.dtb \
	exynos4210-origen.dtb \
	exynos4210-smdkv310.dtb \
	exynos4210-trats.dtb \
	exynos4210-universal_c210.dtb \
	exynos4412-i9300.dtb \
	exynos4412-i9305.dtb \
	exynos4412-itop-elite.dtb \
	exynos4412-n710x.dtb \
	exynos4412-odroidu3.dtb \
	exynos4412-odroidx.dtb \
	exynos4412-odroidx2.dtb \
	exynos4412-origen.dtb \
	exynos4412-smdk4412.dtb \
	exynos4412-tiny4412.dtb \
	exynos4412-trats2.dtb
dtb-$(CONFIG_ARCH_EXYNOS5) += \
	exynos5250-arndale.dtb \
	exynos5250-smdk5250.dtb \
	exynos5250-snow.dtb \
	exynos5250-snow-rev5.dtb \
	exynos5250-spring.dtb \
	exynos5260-xyref5260.dtb \
	exynos5410-odroidxu.dtb \
	exynos5410-smdk5410.dtb \
	exynos5420-arndale-octa.dtb \
	exynos5420-peach-pit.dtb \
	exynos5420-smdk5420.dtb \
	exynos5422-odroidhc1.dtb \
	exynos5422-odroidxu3.dtb \
	exynos5422-odroidxu3-lite.dtb \
	exynos5422-odroidxu4.dtb \
	exynos5800-peach-pi.dtb
dtb-$(CONFIG_ARCH_GEMINI) += \
	gemini-dlink-dir-685.dtb \
	gemini-dlink-dns-313.dtb \
	gemini-nas4220b.dtb \
	gemini-rut1xx.dtb \
	gemini-sl93512r.dtb \
	gemini-sq201.dtb \
	gemini-wbd111.dtb \
	gemini-wbd222.dtb
dtb-$(CONFIG_ARCH_HI3xxx) += \
	hi3620-hi4511.dtb
dtb-$(CONFIG_ARCH_HIGHBANK) += \
	highbank.dtb \
	ecx-2000.dtb
dtb-$(CONFIG_ARCH_HIP01) += \
	hip01-ca9x2.dtb
dtb-$(CONFIG_ARCH_HIP04) += \
	hip04-d01.dtb
dtb-$(CONFIG_ARCH_HISI) += \
	hi3519-demb.dtb
dtb-$(CONFIG_ARCH_HIX5HD2) += \
	hisi-x5hd2-dkb.dtb
dtb-$(CONFIG_ARCH_INTEGRATOR) += \
	integratorap.dtb \
	integratorap-im-pd1.dtb \
	integratorcp.dtb
dtb-$(CONFIG_ARCH_IXP4XX) += \
	intel-ixp42x-linksys-nslu2.dtb \
	intel-ixp43x-gateworks-gw2358.dtb
dtb-$(CONFIG_ARCH_KEYSTONE) += \
	keystone-k2hk-evm.dtb \
	keystone-k2l-evm.dtb \
	keystone-k2e-evm.dtb \
	keystone-k2g-evm.dtb \
	keystone-k2g-ice.dtb
dtb-$(CONFIG_MACH_KIRKWOOD) += \
	kirkwood-b3.dtb \
	kirkwood-blackarmor-nas220.dtb \
	kirkwood-cloudbox.dtb \
	kirkwood-d2net.dtb \
	kirkwood-db-88f6281.dtb \
	kirkwood-db-88f6282.dtb \
	kirkwood-dir665.dtb \
	kirkwood-dns320.dtb \
	kirkwood-dns325.dtb \
	kirkwood-dockstar.dtb \
	kirkwood-dreamplug.dtb \
	kirkwood-ds109.dtb \
	kirkwood-ds110jv10.dtb \
	kirkwood-ds111.dtb \
	kirkwood-ds112.dtb \
	kirkwood-ds209.dtb \
	kirkwood-ds210.dtb \
	kirkwood-ds212.dtb \
	kirkwood-ds212j.dtb \
	kirkwood-ds409.dtb \
	kirkwood-ds409slim.dtb \
	kirkwood-ds411.dtb \
	kirkwood-ds411j.dtb \
	kirkwood-ds411slim.dtb \
	kirkwood-goflexnet.dtb \
	kirkwood-guruplug-server-plus.dtb \
	kirkwood-ib62x0.dtb \
	kirkwood-iconnect.dtb \
	kirkwood-iomega_ix2_200.dtb \
	kirkwood-is2.dtb \
	kirkwood-km_kirkwood.dtb \
	kirkwood-l-50.dtb \
	kirkwood-laplug.dtb \
	kirkwood-linkstation-lsqvl.dtb \
	kirkwood-linkstation-lsvl.dtb \
	kirkwood-linkstation-lswsxl.dtb \
	kirkwood-linkstation-lswvl.dtb \
	kirkwood-linkstation-lswxl.dtb \
	kirkwood-linksys-viper.dtb \
	kirkwood-lschlv2.dtb \
	kirkwood-lsxhl.dtb \
	kirkwood-mplcec4.dtb \
	kirkwood-mv88f6281gtw-ge.dtb \
	kirkwood-nas2big.dtb \
	kirkwood-net2big.dtb \
	kirkwood-net5big.dtb \
	kirkwood-netgear_readynas_duo_v2.dtb \
	kirkwood-netgear_readynas_nv+_v2.dtb \
	kirkwood-ns2.dtb \
	kirkwood-ns2lite.dtb \
	kirkwood-ns2max.dtb \
	kirkwood-ns2mini.dtb \
	kirkwood-nsa310.dtb \
	kirkwood-nsa310a.dtb \
	kirkwood-nsa320.dtb \
	kirkwood-nsa325.dtb \
	kirkwood-openblocks_a6.dtb \
	kirkwood-openblocks_a7.dtb \
	kirkwood-openrd-base.dtb \
	kirkwood-openrd-client.dtb \
	kirkwood-openrd-ultimate.dtb \
	kirkwood-pogo_e02.dtb \
	kirkwood-pogoplug-series-4.dtb \
	kirkwood-rd88f6192.dtb \
	kirkwood-rd88f6281-z0.dtb \
	kirkwood-rd88f6281-a.dtb \
	kirkwood-rs212.dtb \
	kirkwood-rs409.dtb \
	kirkwood-rs411.dtb \
	kirkwood-sheevaplug.dtb \
	kirkwood-sheevaplug-esata.dtb \
	kirkwood-t5325.dtb \
	kirkwood-topkick.dtb \
	kirkwood-ts219-6281.dtb \
	kirkwood-ts219-6282.dtb \
	kirkwood-ts419-6281.dtb \
	kirkwood-ts419-6282.dtb
dtb-$(CONFIG_ARCH_LPC18XX) += \
	lpc4337-ciaa.dtb \
	lpc4350-hitex-eval.dtb \
	lpc4357-ea4357-devkit.dtb \
	lpc4357-myd-lpc4357.dtb
dtb-$(CONFIG_ARCH_LPC32XX) += \
	lpc3250-ea3250.dtb \
	lpc3250-phy3250.dtb
dtb-$(CONFIG_ARCH_NPCM7XX) += \
	nuvoton-npcm750-evb.dtb
dtb-$(CONFIG_MACH_MESON6) += \
	meson6-atv1200.dtb
dtb-$(CONFIG_MACH_MESON8) += \
	meson8-minix-neo-x8.dtb \
	meson8b-ec100.dtb \
	meson8b-mxq.dtb \
	meson8b-odroidc1.dtb \
	meson8m2-mxiii-plus.dtb
dtb-$(CONFIG_ARCH_MMP) += \
	pxa168-aspenite.dtb \
	pxa910-dkb.dtb \
	mmp2-brownstone.dtb \
	mmp2-olpc-xo-1-75.dtb \
	mmp3-dell-ariel.dtb
dtb-$(CONFIG_ARCH_MPS2) += \
	mps2-an385.dtb \
	mps2-an399.dtb
dtb-$(CONFIG_ARCH_MOXART) += \
	moxart-uc7112lx.dtb
dtb-$(CONFIG_ARCH_SD5203) += \
	sd5203.dtb
dtb-$(CONFIG_SOC_IMX1) += \
	imx1-ads.dtb \
	imx1-apf9328.dtb
dtb-$(CONFIG_SOC_IMX25) += \
	imx25-eukrea-mbimxsd25-baseboard.dtb \
	imx25-eukrea-mbimxsd25-baseboard-cmo-qvga.dtb \
	imx25-eukrea-mbimxsd25-baseboard-dvi-svga.dtb \
	imx25-eukrea-mbimxsd25-baseboard-dvi-vga.dtb \
	imx25-karo-tx25.dtb \
	imx25-pdk.dtb
dtb-$(CONFIG_SOC_IMX27) += \
	imx27-apf27.dtb \
	imx27-apf27dev.dtb \
	imx27-eukrea-mbimxsd27-baseboard.dtb \
	imx27-pdk.dtb \
	imx27-phytec-phycore-rdk.dtb \
	imx27-phytec-phycard-s-rdk.dtb
dtb-$(CONFIG_SOC_IMX31) += \
	imx31-bug.dtb \
	imx31-lite.dtb
dtb-$(CONFIG_SOC_IMX35) += \
	imx35-eukrea-mbimxsd35-baseboard.dtb \
	imx35-pdk.dtb
dtb-$(CONFIG_SOC_IMX50) += \
	imx50-evk.dtb \
	imx50-kobo-aura.dtb
dtb-$(CONFIG_SOC_IMX51) += \
	imx51-apf51.dtb \
	imx51-apf51dev.dtb \
	imx51-babbage.dtb \
	imx51-digi-connectcore-jsk.dtb \
	imx51-eukrea-mbimxsd51-baseboard.dtb \
	imx51-ts4800.dtb \
	imx51-zii-rdu1.dtb \
	imx51-zii-scu2-mezz.dtb \
	imx51-zii-scu3-esb.dtb
dtb-$(CONFIG_SOC_IMX53) += \
	imx53-ard.dtb \
	imx53-cx9020.dtb \
	imx53-kp-ddc.dtb \
	imx53-kp-hsc.dtb \
	imx53-m53evk.dtb \
	imx53-m53menlo.dtb \
	imx53-mba53.dtb \
	imx53-ppd.dtb \
	imx53-qsb.dtb \
	imx53-qsrb.dtb \
	imx53-smd.dtb \
	imx53-tx53-x03x.dtb \
	imx53-tx53-x13x.dtb \
	imx53-usbarmory.dtb \
	imx53-voipac-bsb.dtb
dtb-$(CONFIG_SOC_IMX6Q) += \
	imx6dl-apf6dev.dtb \
	imx6dl-aristainetos_4.dtb \
	imx6dl-aristainetos_7.dtb \
	imx6dl-aristainetos2_4.dtb \
	imx6dl-aristainetos2_7.dtb \
	imx6dl-colibri-eval-v3.dtb \
	imx6dl-colibri-v1_1-eval-v3.dtb \
	imx6dl-cubox-i.dtb \
	imx6dl-cubox-i-emmc-som-v15.dtb \
	imx6dl-cubox-i-som-v15.dtb \
	imx6dl-dfi-fs700-m60.dtb \
	imx6dl-eckelmann-ci4x10.dtb \
	imx6dl-emcon-avari.dtb \
	imx6dl-gw51xx.dtb \
	imx6dl-gw52xx.dtb \
	imx6dl-gw53xx.dtb \
	imx6dl-gw54xx.dtb \
	imx6dl-gw551x.dtb \
	imx6dl-gw552x.dtb \
	imx6dl-gw553x.dtb \
	imx6dl-gw560x.dtb \
	imx6dl-gw5903.dtb \
	imx6dl-gw5904.dtb \
	imx6dl-gw5907.dtb \
	imx6dl-gw5910.dtb \
	imx6dl-gw5912.dtb \
	imx6dl-gw5913.dtb \
	imx6dl-hummingboard.dtb \
	imx6dl-hummingboard-emmc-som-v15.dtb \
	imx6dl-hummingboard-som-v15.dtb \
	imx6dl-hummingboard2.dtb \
	imx6dl-hummingboard2-emmc-som-v15.dtb \
	imx6dl-hummingboard2-som-v15.dtb \
	imx6dl-icore.dtb \
	imx6dl-icore-mipi.dtb \
	imx6dl-icore-rqs.dtb \
	imx6dl-mamoj.dtb \
	imx6dl-nit6xlite.dtb \

## raspberrypi-firmware 1.20230405

=== debian/changelog ===
raspberrypi-firmware (1:1.20230405-1) bullseye; urgency=medium

  * firmware as of 055e044d5359ded1aacc5a17a8e35365373d0b8b
  * Linux version 6.1.21

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 05 Apr 2023 15:01:30 +0100

raspberrypi-firmware (1:1.20230317-1) bullseye; urgency=medium

  * firmware as of 4c6c5389d55d419e38f00116829d5a0f30c7bfbf
  * Linux version 6.1.19

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 17 Mar 2023 11:56:07 +0000

raspberrypi-firmware (1:1.20230315-1) bullseye; urgency=medium

  * firmware as of cba2ae16185afbb4895673b6c2ef7d4078abd65f
  * Linux version 6.1.19
  * Disable headers-check

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 15 Mar 2023 15:40:58 +0000

raspberrypi-firmware (1:1.20230306-1) bullseye; urgency=medium

  * firmware as of 52185fddc0a9a28472fb3387dbed1a5466e11242
  * Linux version 5.15.84

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 06 Mar 2023 13:26:55 +0000

raspberrypi-firmware (1:1.20230106-1) bullseye; urgency=medium

  * firmware as of 78852e166b4cf3ebb31d051e996d54792f0994b0
  * Linux version 5.15.84

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 06 Jan 2023 11:50:22 +0000

raspberrypi-firmware (1:1.20221104-1) bullseye; urgency=medium

  * firmware as of 0d6514f32722e4acf091ab2af9715793ffd6b727
  * Linux version 5.15.76

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 07 Nov 2022 11:25:54 +0000

raspberrypi-firmware (1:1.20221028-1) bullseye; urgency=medium

  * firmware as of 00feccb1dbfee286d3f1ce457c045effffbf90fc
  * Linux version 5.15.74

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 28 Oct 2022 13:58:58 +0100

raspberrypi-firmware (1:1.20220830-1) bullseye; urgency=medium

  * firmware as of 48cd70fe84432c5d050637b61e4b7b9c831c98bf
  * Linux version 5.15.61

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 30 Aug 2022 12:22:25 +0100

raspberrypi-firmware (1:1.20220811-1) bullseye; urgency=medium

  * firmware as of e1e3dc004ec45c0a6ab3f32eb02c1e0c8846796c
  * Linux version 5.15.56

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 11 Aug 2022 12:37:08 +0100

raspberrypi-firmware (1:1.20220331-1) bullseye; urgency=medium

  * firmware as of 61966732d03de9b71baf561f920e018b54c241ac
  * Linux version 5.15.32

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 01 Apr 2022 07:57:07 +0100

raspberrypi-firmware (1:1.20220328-1) bullseye; urgency=medium

  * firmware as of 69277bc713133a54a1d20554d79544da1ae2b6ca
  * Linux version 5.15.30

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 28 Mar 2022 16:48:15 +0100

raspberrypi-firmware (1:1.20220308-2) bullseye; urgency=medium

  * Add libraspberrypi-dev to build dependencies

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 09 Mar 2022 11:36:51 +0000

raspberrypi-firmware (1:1.20220308-1) bullseye; urgency=medium

  * firmware as of 191360eaf2e5933eaa0ed76ac0d62722b6f9a58f
  * Linux version 5.10.103

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 08 Mar 2022 15:56:57 +0000

raspberrypi-firmware (1:1.20220120-2) bullseye; urgency=medium

  * Patch vcdbg to use libdebug_sym.so.0
    - Avoids dependency on libraspberrypi-dev
  * Re-enable dh_shlibdeps

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 22 Feb 2022 13:46:41 +0000

raspberrypi-firmware (1:1.20220120-1) bullseye; urgency=medium

  * firmware as of c6d56567ff6ef17fd85159770f22abcf2c5953ed
  * Linux version 5.10.92

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 20 Jan 2022 14:13:13 +0000

raspberrypi-firmware (1:1.20220118-1) bullseye; urgency=medium

  * firmware as of 1e138de65a13c28c04fa4abf37f4c21e231e41b7
  * Linux version 5.10.92

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 18 Jan 2022 15:15:41 +0000

raspberrypi-firmware (1:1.20220106-1) bullseye; urgency=medium

  * firmware as of cfdbadea5f74c16b7ed5d3b4866092a054e3c3bf
  * Linux version 5.10.89

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 07 Jan 2022 10:00:17 +0000

raspberrypi-firmware (1:1.20211118-3) bullseye; urgency=medium

  * Mark raspberrypi-kernel Multi-Arch: foreign

 -- Serge Schneider <serge@raspberrypi.com>  Sat, 04 Dec 2021 16:31:22 +0000

raspberrypi-firmware (1:1.20211118-2) bullseye; urgency=medium

  * Mark raspberrypi-bootloader Multi-Arch: foreign

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 02 Dec 2021 14:44:30 +0000

raspberrypi-firmware (1:1.20211118-1) bullseye; urgency=medium

  * firmware as of a60a479844915911901a8ddc36221eddfdded07f
  * Linux version 5.10.63

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Nov 2021 14:36:03 +0000

raspberrypi-firmware (1:1.20211029-1) bullseye; urgency=medium

  * firmware as of e2bab29767e51c683a312df20014e3277275b8a6
  * Linux version 5.10.63

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 29 Oct 2021 12:55:27 +0100

raspberrypi-firmware (1:1.20211007-2) bullseye; urgency=medium

  * Remove unnecessary patches

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 12 Oct 2021 13:58:16 +0100

raspberrypi-firmware (1:1.20211007-1) bullseye; urgency=medium

  * firmware as of 0c4fc71befd228419a225c84d316cabbda8633a7
  * Linux version 5.10.63

 -- Serge Schneider <serge@raspberrypi.com>  Thu, 07 Oct 2021 15:39:28 +0100

raspberrypi-firmware (1:1.20210928-1) bullseye; urgency=medium

  * firmware as of 6b855fb1f6e753522d38a121eca9a534bf46081f
  * Linux version 5.10.63

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 28 Sep 2021 14:18:46 +0100

raspberrypi-firmware (1:1.20210831-3) bullseye; urgency=medium

  * Update vchiq udev rule

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 17 Sep 2021 17:34:59 +0100

raspberrypi-firmware (1:1.20210831-2) bullseye; urgency=medium

  * Include separate vcdbg package
  * Remove packages provided by raspberrypi-userland
  * Signal reboot-required

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 13 Sep 2021 14:30:08 +0100

raspberrypi-firmware (1:1.20210831-1) buster; urgency=medium

  * firmware as of 46f356dcecc5204ca9a8cef7e6894e083b231bc7
  * Linux version 5.10.60



=== debian/control ===
Source: raspberrypi-firmware
Priority: optional
Maintainer: Serge Schneider <serge@raspberrypi.org>
Build-Depends: debhelper (>= 10),
 bc, flex, bison, libssl-dev, rsync,
 gcc-aarch64-linux-gnu [!arm64 !armhf],
 gcc-arm-linux-gnueabihf [!armhf],
 libraspberrypi-dev [armhf arm64],
 patchelf
Standards-Version: 3.9.8
Section: libs
Homepage: https://github.com/raspberrypi/firmware
Vcs-Git: git@github.com:RPi-Distro/firmware.git
Vcs-Browser: https://github.com/RPi-Distro/firmware

Package: vcdbg
Section: misc
Architecture: armhf
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Tool for debugging VideoCore

Package: raspberrypi-bootloader
Section: admin
Architecture: armel armhf arm64
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: raspberrypi-kernel
Description: Raspberry Pi bootloader
 This package contains the Raspberry Pi firmware and bootloader.

Package: raspberrypi-kernel
Section: kernel
Architecture: armel armhf arm64
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: raspberrypi-bootloader (<<1.20160324-1)
Replaces: raspberrypi-bootloader (<<1.20160324-1)
Provides: linux-image, wireguard-modules (= 1.0.0)
Description: Raspberry Pi bootloader
 This package contains the Raspberry Pi Linux kernel.

Package: raspberrypi-kernel-headers
Section: kernel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: linux-headers
Description: Header files for the Raspberry Pi Linux kernel
 This package provides the architecture-specific kernel header files for
 the Raspberry Pi Linux kernel, generally used for building out-of-tree
 kernel modules.

Package: linux-libc-dev
Architecture: armhf arm64
Section: devel
Depends: ${misc:Depends}
Description: Linux support headers for userspace development
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU libc and other system
 libraries.
Multi-Arch: same

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_install:
	./debian/build_headers.sh
	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ debian/tmp/usr/bin
	cp opt/vc/lib/libelftoolchain.so debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
	patchelf hardfp/opt/vc/bin/vcdbg \
		--replace-needed libdebug_sym.so libdebug_sym.so.0 \
		--replace-needed libvcos.so libvcos.so.0 \
		--output debian/tmp/usr/bin/vcdbg
	dh_install

override_dh_fixperms:
	dh_fixperms

override_dh_strip:
	# don't strip anything

## raspberrypi-firmware 1.20230509~buster

=== debian/changelog ===
raspberrypi-firmware (1:1.20230509~buster-1) buster; urgency=medium

  * firmware as of 813107b6e6431d780a3e693d662737d822009f9c
  * Linux version 5.10.103

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 09 May 2023 14:12:24 +0100

raspberrypi-firmware (1:1.20230425~buster-1) buster; urgency=medium

  * firmware as of 41b70b52b54387bf105dfafd6b8ac4b0bb469d4d
  * Linux version 5.10.103

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 25 Apr 2023 17:15:24 +0100

raspberrypi-firmware (1:1.20220308~buster-1) buster; urgency=medium

  * firmware as of 74c4307951701f93bd94b4fd37e6adc44910d6e0
  * Linux version 5.10.103

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 08 Mar 2022 14:42:37 +0000

raspberrypi-firmware (1:1.20211201~buster-1) buster; urgency=medium

  * firmware as of 4877a7d918be6fab22ce5d345feefd9c43200a90
  * Linux version 5.10.63

 -- Serge Schneider <serge@raspberrypi.com>  Wed, 01 Dec 2021 16:23:21 +0000

raspberrypi-firmware (1:1.20211118~buster-1) buster; urgency=medium

  * firmware as of a60a479844915911901a8ddc36221eddfdded07f
  * Linux version 5.10.63

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 29 Nov 2021 12:00:50 +0000

raspberrypi-firmware (1:1.20211029-1~buster) buster; urgency=medium

  * firmware as of e2bab29767e51c683a312df20014e3277275b8a6
  * Linux version 5.10.63

 -- Serge Schneider <serge@raspberrypi.com>  Fri, 29 Oct 2021 11:31:57 +0100

raspberrypi-firmware (1:1.20211007-2~buster) buster; urgency=medium

  * Remove unnecessary patches
  * Install udev rule through dh_installudev
  * Update vcio udev rule

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 12 Oct 2021 14:40:17 +0100

raspberrypi-firmware (1:1.20211007-1~buster) buster; urgency=medium

  * firmware as of 0c4fc71befd228419a225c84d316cabbda8633a7
  * Linux version 5.10.63

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 11 Oct 2021 19:08:27 +0100

raspberrypi-firmware (1:1.20210928-1~buster) buster; urgency=medium

  * firmware as of 6b855fb1f6e753522d38a121eca9a534bf46081f
  * Linux version 5.10.63

 -- Serge Schneider <serge@raspberrypi.com>  Tue, 28 Sep 2021 15:21:04 +0100

raspberrypi-firmware (1:1.20210831-3~buster) buster; urgency=medium

  * Update vchiq udev rule

 -- Serge Schneider <serge@raspberrypi.com>  Mon, 20 Sep 2021 09:51:32 +0100

=== debian/control ===
--- 
+++ 
@@ -5,24 +5,50 @@
  bc, flex, bison, libssl-dev, rsync,
  gcc-aarch64-linux-gnu [!arm64 !armhf],
  gcc-arm-linux-gnueabihf [!armhf],
- libraspberrypi-dev [armhf arm64],
- patchelf
 Standards-Version: 3.9.8
 Section: libs
 Homepage: https://github.com/raspberrypi/firmware
 Vcs-Git: git@github.com:RPi-Distro/firmware.git
 Vcs-Browser: https://github.com/RPi-Distro/firmware
 
-Package: vcdbg
+Package: libraspberrypi0
+Section: libs
+Architecture: armel armhf
+Depends: raspberrypi-bootloader (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Description: EGL/GLES/OpenVG/etc. libraries for the Raspberry Pi's VideoCore IV
+ This package contains implementations of EGL, OpenGL ES, OpenVG, OpenWF
+ Composition, and others for the Raspberry Pi's VideoCore IV multimedia
+ processor.
+
+Package: libraspberrypi-dev
+Section: libdevel
+Architecture: armel armhf
+Depends: libraspberrypi0 (= ${binary:Version}), ${misc:Depends}
+Description: EGL/GLES/OpenVG/etc. libraries for the Raspberry Pi's VideoCore IV (headers)
+ This package contains headers and other development files for implementations
+ of EGL, OpenGL ES, OpenVG, OpenWF Composition, and others for the Raspberry
+ Pi's VideoCore IV multimedia processor.
+
+Package: libraspberrypi-doc
+Section: libdevel
+Architecture: armel armhf
+Depends: libraspberrypi0 (= ${binary:Version}), ${misc:Depends}
+Description: EGL/GLES/OpenVG/etc. libraries for the Raspberry Pi's VideoCore IV (headers)
+ This package contains headers, example code, and other development files for
+ implementations of EGL, OpenGL ES, OpenVG, OpenWF Composition, and others for
+ the Raspberry Pi's VideoCore IV multimedia processor.
+
+Package: libraspberrypi-bin
 Section: misc
-Architecture: armhf
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Tool for debugging VideoCore
+Architecture: armel armhf
+Depends: libraspberrypi0 (= ${binary:Version}), ${misc:Depends}, device-tree-compiler
+Description: Miscellaneous Raspberry Pi utilities
+ This package contains various utilities for interacting with the Raspberry
+ Pi's VideoCore IV.
 
 Package: raspberrypi-bootloader
 Section: admin
 Architecture: armel armhf arm64
-Multi-Arch: foreign
 Depends: ${misc:Depends}
 Recommends: raspberrypi-kernel
 Description: Raspberry Pi bootloader
@@ -31,7 +57,6 @@
 Package: raspberrypi-kernel
 Section: kernel
 Architecture: armel armhf arm64
-Multi-Arch: foreign
 Depends: ${misc:Depends}
 Breaks: raspberrypi-bootloader (<<1.20160324-1)
 Replaces: raspberrypi-bootloader (<<1.20160324-1)

=== debian/rules ===
--- 
+++ 
@@ -16,16 +16,27 @@
 
 override_dh_install:
 	./debian/build_headers.sh
-	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/ debian/tmp/usr/bin
-	cp opt/vc/lib/libelftoolchain.so debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/
-	patchelf hardfp/opt/vc/bin/vcdbg \
-		--replace-needed libdebug_sym.so libdebug_sym.so.0 \
-		--replace-needed libvcos.so libvcos.so.0 \
-		--output debian/tmp/usr/bin/vcdbg
 	dh_install
+ifeq (armhf,$(DEB_BUILD_ARCH))
+	rm debian/libraspberrypi0/opt/vc/lib/libEGL.so
+	rm debian/libraspberrypi0/opt/vc/lib/libGLESv2.so
+	rm debian/libraspberrypi0/opt/vc/lib/libOpenVG.so
+	rm debian/libraspberrypi0/opt/vc/lib/libWFC.so
+	rm debian/libraspberrypi0/opt/vc/lib/libGLESv1_CM.so
+endif
+
+override_dh_installudev:
+	dh_installudev --name=local-rpi --priority=10
 
 override_dh_fixperms:
 	dh_fixperms
+ifeq (armhf,$(DEB_BUILD_ARCH))
+	chown -R :users debian/libraspberrypi-doc/opt/vc/src/hello_pi
+	chmod -R g+w debian/libraspberrypi-doc/opt/vc/src/hello_pi
+endif
 
 override_dh_strip:
 	# don't strip anything
+
+override_dh_shlibdeps:
+	# this is not happy on armhf, let's just skip it
